Loading...
Searching...
No Matches
itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct Struct Reference

## Detailed Description

template<class TFixedImage, class TMovingImage>
struct itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct

Definition at line 205 of file itkPCAMetric.h.

## Data Fields

std::vector< FixedImagePointType > | st_ApprovedSamples
MatrixType | st_DataBlock
DerivativeType | st_Derivative
SizeValueType | st_NumberOfPixelsCounted

## Field Documentation

## st_ApprovedSamples

template<class TFixedImage, class TMovingImage>

std::vector<FixedImagePointType> itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct::st_ApprovedSamples

Definition at line 209 of file itkPCAMetric.h.

## st_DataBlock

template<class TFixedImage, class TMovingImage>

MatrixType itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct::st_DataBlock

Definition at line 208 of file itkPCAMetric.h.

## st_Derivative

template<class TFixedImage, class TMovingImage>

DerivativeType itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct::st_Derivative

Definition at line 210 of file itkPCAMetric.h.

## st_NumberOfPixelsCounted

template<class TFixedImage, class TMovingImage>

SizeValueType itk::PCAMetric< TFixedImage, TMovingImage >::PCAMetricGetSamplesPerThreadStruct::st_NumberOfPixelsCounted

Definition at line 207 of file itkPCAMetric.h.

Generated on 1768596610 for elastix by 1.15.0 |